Wrong assembler used with gcc 4.3.0 on Solaris 9

John Morrison JMorrison@printronix.com
Tue Apr 1 17:32:00 GMT 2008


Hi Dennis.

Solaris is only the host and the target is powerpc-eabi.   We are
upgrading from 2.95 (I think its 2.95, I can't remember right now) to
4.2.0.  The binutils and gcc builds appeared to be ok, but when I tried
to do a compile, the 2.95 assembler was being called.  I posted here on
this problem a few weeks ago and got no response.  

Thanks
John Morrison
Printronix, Inc



-----Original Message-----
From: Dennis Clarke [mailto:dclarke@blastwave.org] 
Sent: Tuesday, April 01, 2008 9:38 AM
To: John Morrison
Cc: Langella Raphael; gcc-help@gcc.gnu.org
Subject: RE: Wrong assembler used with gcc 4.3.0 on Solaris 9


> Hi Raphael.
>
> Does the environment variable GCC_EXEC_PREFIX point to where the 
> binutils are?
>
> I had a similar problem and while searching for answers I some how 
> came across this document:
>
> http://gcc.gnu.org/onlinedocs/gcc/Environment-Variables.html
>
> I changed the value to the env var and all seems to be working well.
>

Why would you use binutils when Solaris provides a native as and ld ?

Dennis



More information about the Gcc-help mailing list